# Interface JSVMainPanel

All Superinterfaces:
  `JSVViewPanel`

All Known Implementing Classes:
  `AwtMainPanel, JsMainPanel`

public interface JSVMainPanel extends JSVViewPanel

## Method Summary

Modifier and Type
Method
Description
`int`
`getCurrentPanelIndex()`
`void`
`setSelectedPanel(JSViewer viewer, JSVPanel jsvp, Lst<PanelNode> panelNodes)`

### Methods inherited from interface JSVViewPanel

`dispose, getHeight, getTitle, getWidth, isEnabled, isFocusable, isVisible, setEnabled, setFocusable, setTitle`

## Method Details

### getCurrentPanelIndex

int getCurrentPanelIndex()

### setSelectedPanel

void setSelectedPanel(JSViewer viewer, JSVPanel jsvp, Lst<PanelNode> panelNodes)